RemoveControlJobsForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.control.RemoveControlJobsForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.control
Class RemoveControlJobsForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.common.control.RemoveControlJobsForm

All Implemented Interfaces:
  java.io.Serializable

    public class RemoveControlJobsForm

extends BaseValidatorForm

A subclass of `BaseValidatorForm` representing the RemoveControlJobsAction form. This is a [] of ControlActionSchedule.triggerNames's.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RemoveControlJobsForm()`

Method Summary
`java.lang.Integer[]` | `getControlJobs()` Getter for property controlJobs
`void` | `setControlJobs(java.lang.Integer[] controlJobs)` Setter for property controlJobs
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, reset, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveControlJobsForm

    public RemoveControlJobsForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getControlJobs

    public java.lang.Integer[] getControlJobs()

  Getter for property controlJobs

  Returns:
    Value of property controlJobs.

### setControlJobs

    public void setControlJobs(java.lang.Integer[] controlJobs)

  Setter for property controlJobs

  Parameters:
    `controlAction` - New value of property controlJobs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.